package com.red.circle.other.app.service.ai.qianfan;

import com.red.circle.other.app.command.ai.qianfan.QianFanChatCmdExe;
import com.red.circle.other.app.dto.clientobject.ai.qianfan.QianFanChatCO;
import com.red.circle.other.app.dto.cmd.ai.qianfan.QianFanChatCmd;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AI 千帆 服务实现.
 *
 * @author pengliang on 2022/7/21
 */
@Service
@RequiredArgsConstructor
public class QianFanServiceImpl implements QianFanService {

    private final QianFanChatCmdExe qianFanChatCmdExe;

    @Override
    public QianFanChatCO chat(QianFanChatCmd cmd) {
        return qianFanChatCmdExe.chat(cmd);
    }

    @Override
    public List<QianFanChatCO> chatList(Long userId) {
        return qianFanChatCmdExe.chatList(userId);
    }

    @Override
    public void updateQianFanAiChat(Long id, Integer status) {
        qianFanChatCmdExe.updateQianFanAiChat(id, status);
    }
}
